org.apache.felix.ipojo.manipulator.visitor.check

## Class CheckFieldConsistencyVisitor

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.visitor.ManipulationAdapter
  - - org.apache.felix.ipojo.manipulator.visitor.check.CheckFieldConsistencyVisitor

All Implemented Interfaces:
  ManipulationVisitor

    public class CheckFieldConsistencyVisitor
    extends ManipulationAdapter

Execute field verification.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`CheckFieldConsistencyVisitor(ManipulationVisitor visitor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setReporter(Reporter reporter)`
`ManipulationResultVisitor` `visitManipulationResult(org.apache.felix.ipojo.metadata.Element metadata)` Accept a manipulation result for the given component metadata.

### Methods inherited from class org.apache.felix.ipojo.manipulator.visitor.ManipulationAdapter

`visitEnd, visitMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckFieldConsistencyVisitor

    public CheckFieldConsistencyVisitor(ManipulationVisitor visitor)

### Method Detail

#### setReporter

    public void setReporter(Reporter reporter)

#### visitManipulationResult

    public ManipulationResultVisitor visitManipulationResult(org.apache.felix.ipojo.metadata.Element metadata)

Description copied from interface: `ManipulationVisitor`
Accept a manipulation result for the given component metadata.

Specified by:
  `visitManipulationResult` in interface `ManipulationVisitor`
Overrides:
  `visitManipulationResult` in class `ManipulationAdapter`
Parameters:
  `metadata` - component's metadata (from XML or annotations)
Returns:
  a ManipulationResultVisitor if interested in theses manipulation results